---
lang: en
title: 'API docs: graphql.graphqlcomponent._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/graphql
permalink: /doc/en/lb4/apidocs.graphql.graphqlcomponent._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/graphql](./graphql.md) &gt; [GraphQLComponent](./graphql.graphqlcomponent.md) &gt; [(constructor)](./graphql.graphqlcomponent._constructor_.md)

## GraphQLComponent.(constructor)

Constructs a new instance of the `GraphQLComponent` class

**Signature:**

```typescript
constructor(app: Application);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  app | [Application](./core.application.md) |  |


